Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226345 - Merge Review: python-numeric
Summary: Merge Review: python-numeric
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:46 UTC by Nobody's working on this, feel free to take it
Modified: 2010-12-21 05:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-30 06:46:58 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
modified SPEC (deleted)
2008-01-16 08:45 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:46:39 UTC
Fedora Merge Review: python-numeric

http://cvs.fedora.redhat.com/viewcvs/devel/python-numeric/
Initial Owner: mbarnes@redhat.com

Comment 1 Parag AN(पराग) 2008-01-16 08:45:52 UTC
Created attachment 291832 [details]
modified SPEC

I see some issues in this package. So Attaching patch that will fix some
issues.

Comment 2 Parag AN(पराग) 2008-01-16 08:48:04 UTC
I dunno whether we can allow .h files installing from python-numeric as review
guidelines suggests
- MUST: Header files must be in a -devel package.

Comment 3 Parag AN(पराग) 2008-01-18 14:09:46 UTC
ping?

Comment 4 Matthew Barnes 2008-01-18 15:15:59 UTC
Will address this soon.  Higher priority tasks at the moment.

Comment 5 Matthew Barnes 2008-01-19 03:22:52 UTC
Thanks for the review.  Patch applied to python-numeric-24.2-7.fc9.

Comment 6 Parag AN(पराग) 2008-01-19 10:57:36 UTC
rpmlint on new package give ==>
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/include/python2.5/Numeric/ranlib.h
python-numeric.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/Numeric/_numpy.so 0775
python-numeric.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/Numeric/lapack_lite.so 0775
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/lib/python2.5/site-packages/Numeric/Numeric_headers/Numeric/f2c.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/include/python2.5/Numeric/f2c.h
python-numeric.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/Numeric/arrayfns.so 0775
python-numeric.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/Numeric/umath.so 0775
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/include/python2.5/Numeric/ufuncobject.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/include/python2.5/Numeric/arrayobject.h
python-numeric.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/Numeric/ranlib.so 0775
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/lib/python2.5/site-packages/Numeric/Numeric_headers/Numeric/ranlib.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/lib/python2.5/site-packages/Numeric/Numeric_headers/Numeric/arrayobject.h
python-numeric.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/Numeric/multiarray.so 0775
python-numeric.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/Numeric/RNG/RNG.so 0775
python-numeric.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/Numeric/FFT/fftpack.so 0775
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/lib/python2.5/site-packages/Numeric/Numeric_headers/Numeric/ufuncobject.h

I think ok to have header files in non-devel as this is python package but good
to change those incorrect permissions.


Comment 7 Parag AN(पराग) 2008-01-19 13:00:14 UTC
Look like something goes wrong with above output. Sorry Correct output of rpmlint is
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/include/python2.5/Numeric/ranlib.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/lib/python2.5/site-packages/Numeric/Numeric_headers/Numeric/f2c.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/include/python2.5/Numeric/f2c.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/include/python2.5/Numeric/ufuncobject.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/include/python2.5/Numeric/arrayobject.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/lib/python2.5/site-packages/Numeric/Numeric_headers/Numeric/ranlib.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/lib/python2.5/site-packages/Numeric/Numeric_headers/Numeric/arrayobject.h
python-numeric.i386: W: devel-file-in-non-devel-package
/usr/lib/python2.5/site-packages/Numeric/Numeric_headers/Numeric/ufuncobject.h

which is ok.

1)Change Source URL to
http://downloads.sourceforge.net/numpy/Numeric-%{version}.tar.gz
2) Can't see eggs files generated here. See
http://fedoraproject.org/wiki/Packaging/Python/Eggs

Comment 8 Matthew Barnes 2008-01-21 15:58:27 UTC
Source tag fixed in python-numeric-24.2-8.fc9.

According to the packaging guidelines for Python Eggs, the python-setuptools
package in Fedora 9 should handle egg-info files automatically.  But I'm not
familiar with egg-info files so maybe I'm missing something.

Comment 9 Parag AN(पराग) 2008-01-22 06:02:31 UTC
guidelines suggests for F9 and above you should BR: python-setuptools-devel.
I did koji build by replacing that BR and you can see now its building egg-info
files.
http://koji.fedoraproject.org/koji/getfile?taskID=364841&name=build.log

you better add following in SPEC
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif


Comment 10 Matthew Barnes 2008-01-29 19:14:23 UTC
Fixed as suggested in python-numeric-24.2-9.fc9.

Comment 11 Parag AN(पराग) 2008-01-30 06:46:58 UTC
Thanks for updates.
Packaging looks Ok.
APPROVED.

Comment 12 Alex Lancaster 2010-12-12 19:27:01 UTC
This is needed in EPEL for installing pypop:  https://admin.fedoraproject.org/community/?package=pypop#package_maintenance

Package Change Request
======================
Package Name: python-numeric
New Branches: el5 el6
Owners: alexlan

Comment 13 Jason Tibbitts 2010-12-13 18:35:18 UTC
Can we get an ack from a Fedora maintainer?

Comment 14 Alex Lancaster 2010-12-20 17:46:22 UTC
(In reply to comment #13)
> Can we get an ack from a Fedora maintainer?

Re-requesting SCM branch, see bug #664399 comment #1 for ack.

Package Change Request
======================
Package Name: python-numeric
New Branches: el5 el6
Owners: alexlan

Comment 15 Matthew Barnes 2010-12-20 18:31:29 UTC
This is okay by me (maintainer), go ahead with it.

Comment 16 Kevin Fenzi 2010-12-21 05:59:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.